Bug 25935 - tcsh needs header fix for compiling against current glibc cvs
Summary: tcsh needs header fix for compiling against current glibc cvs
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcsh   
(Show other bugs)
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: David Lawrence
URL:
Whiteboard: Florence RC-1
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-04 00:49 UTC by Jack Howarth
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-05 22:58:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jack Howarth 2001-02-04 00:49:18 UTC
like pam and vixie-cron, tcsh needs a header fix to compile against the
current
glibc cvs. I don't know if this is the cleanest approach but I found this
patch works.

--- tcsh-6.10.00/sh.h	Sat Feb  3 18:32:15 2001
+++ tcsh-6.10.00.new/sh.h	Sat Feb  3 18:45:02 2001
@@ -210,7 +210,7 @@
 # include <sys/procstats.h>
 #endif /* _SEQUENT_ */
 #if (defined(POSIX) || SYSVREL > 0) && !defined(WINNT_NATIVE)
-# include <sys/times.h>
+# include <time.h>
 #endif /* (POSIX || SYSVREL > 0) && !WINNT_NATIVE */
 
 #ifdef NLS

Comment 1 Glen Foster 2001-02-05 22:50:23 UTC
We (Red Hat) should really try hard to fix this before next release.

Comment 2 Eido Inoue 2001-02-05 22:58:14 UTC
I'm testing his patch now...


Comment 3 Eido Inoue 2001-02-06 21:26:17 UTC
Patch looks good. I've committed.

Thanks for the patch.



Note You need to log in before you can comment on or make changes to this bug.